aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-electronics/magic/ChangeLog7
-rw-r--r--sci-electronics/magic/Manifest30
-rw-r--r--sci-electronics/magic/magic-7.5.202.ebuild53
3 files changed, 76 insertions, 14 deletions
diff --git a/sci-electronics/magic/ChangeLog b/sci-electronics/magic/ChangeLog
index c1b4b851b..1ca9e4cd8 100644
--- a/sci-electronics/magic/ChangeLog
+++ b/sci-electronics/magic/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-electronics/magic/ChangeLog,v 1.56 2009/09/27 14:53:44 nixnut Exp $
+*magic-7.5.202 (01 Jul 2010)
+
+ 01 Jul 2010; Andreas K. Huettel (dilfridge) <mail@akhuettel.de>
+ +magic-7.5.202.ebuild:
+ Version bump, moving aux files back to LIBDIR and docs manually
+ to the doc dir. Fixes bug 299476.
+
01 Jul 2010; Andreas K. Huettel (dilfridge) <mail@akhuettel.de>
-magic-7.4.46.ebuild, -magic-7.5.127.ebuild:
Cleanup.
diff --git a/sci-electronics/magic/Manifest b/sci-electronics/magic/Manifest
index 691a889cd..a45c28c1b 100644
--- a/sci-electronics/magic/Manifest
+++ b/sci-electronics/magic/Manifest
@@ -4,24 +4,26 @@ Hash: SHA1
DIST 2002a.tar.gz 6601961 RMD160 3eb7e61999b032dc47bddc3398543f4d4cde3adf SHA1 908160476c9cddcedfb8a73f78f67f2c66480cc2 SHA256 8b47889fcbcd36b1cdc2e51fc0aeb8c17b7780f559b01ca1209f9ed5f8c38d19
DIST magic-7.4.46.tgz 3605986 RMD160 695623481c4c9d4437bd30c629a6c8bac91f6ad6 SHA1 95a344c6b4ff54466f0a7521a322d5f8da1a430f SHA256 55f377500a861b12d21483b002c72a7a5fb9b35885f7dc858ee98f4a1e191cac
DIST magic-7.5.129.tgz 3674551 RMD160 25e6e1e46069667a3ca50b333d8b09a3d1dfd980 SHA1 501ed7f4ef849ee9caece8715b562f9b539822c2 SHA256 81bca3223ddf7251d73a38692e7a4f4758076c65a2fa1e3825c6bd8cce491041
+DIST magic-7.5.202.tgz 3692294 RMD160 99ae0bae03d131a4ed87a1059e92706f0a7f20d8 SHA1 baf03cff89d9c60c9fc9b23e40a085db78f1ff4b SHA256 975cb3962c8a97e3caae83c5de309bf09e623a829bd36983e82d28104067d99c
EBUILD magic-7.4.46-r1.ebuild 1381 RMD160 c3e0a719f134a679aca1046ebb8d1528baf788ac SHA1 e66bb40def3f22391adefad628b88655197abe34 SHA256 d9d600c5cb30c2caa7524951e2fa473ed4c6e56306830a72e65fbce8a26cbab8
EBUILD magic-7.5.129.ebuild 1169 RMD160 efcbdb2305cc1f534d033c07d0ae4d10c64c925c SHA1 6f69a3dc9bd07740513e903e8a8b19e1c4e9fba4 SHA256 eb4d021bf18eb32db362742557c6d7b69780fa51ba102af0db9ff7c2418389bc
-MISC ChangeLog 9437 RMD160 60239f20fe50cd1fc23ac3e1c8922c9dba623487 SHA1 37feb547b14d71ae618b7908becd125f8e5af343 SHA256 e0fff06b716290dd3f77bad4def8529d179695f96ff2070e30196104871cb39e
+EBUILD magic-7.5.202.ebuild 1285 RMD160 90efdd67379833ad22b3a42307db5fe0262abda7 SHA1 6f80c97333575dc3824b0e255283ea66e12c9227 SHA256 3b4a0a30917061b13edb1aae44890704194dfd09b30614ffdb0b3044a259686c
+MISC ChangeLog 9662 RMD160 a72f5f8fc72fc7bb0d893d1763a9d40afda0fd3e SHA1 b166e111557c03dc91df5e50a0ccb4d0f5397b94 SHA256 cab9bb9fc87bb4aeb5183f5289c8b9bbac509a8d42157a4b3f9397e4757c517c
MISC metadata.xml 900 RMD160 2eadae625fcf32b2b3c16cc5dea80123066b943c SHA1 015acb62eb2b6ba91c08ae1954a5bddef8d547d4 SHA256 a53b73f34be6d5dff3316ac95d407f45b7272a4934420b21cf4ca2ea81b153da
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.15 (GNU/Linux)
-iQIcBAEBAgAGBQJMLO8KAAoJENwGBM22xffePH8P/0Mt/376kBSdoiMhjWVT40nP
-Ll1ge+Y7UQ0+42Ry9jIUzZQpPGTG4bSYcHMj5BheTYhPR22EFGQH9zgcF3ywJLQ5
-ZVWyeGAXbAXeeGNIYqRXBeubMg7xCFWIITtWbmrAJqx+ZGWk1U13OINyb7GNGOA6
-Ek5McEeqEKiq+TXh1hPOXmLbnbdnoMUvTbdMmcOPgZ5VNMpTBLFjcRWCwDFDJKqc
-i2O75HsdK5tQo+7O41d2md160eRDwIar80L+zXaVFAcmBEPK8Y4BJD7qo8dg+Ys2
-iM/KX8MJ/G/Yf7lwpagE/WZAahVKWN/2/+TuwlEZqqVI7aMUrPqnkIiJ1xyVwqz0
-v4RoOazJFhQnYzYcsQfV/cLKSllu+lYk3+6mNzCjfn3DaCnp5yh8XwVMN/uOQC2/
-rVSPaQIkB1fMzT44M/lw5KJDkQ7XB9KxU11vaBchka8kGFzMHUlB03Wxos5sFubt
-XWWecPWjxxUx6ot+AvDqqMgC5Kg6OEqI753uaSCM4TO8ReEPDfWVByQ0ZUETr7Rb
-W0FuaS1k8pcN1rSxrJyxhETeJ0MIHGfQX/FzlKuba3/QW/a6X2yJ++pEHMPuPFfc
-bt3XSt+CutIvMkO0IXgZ/4dlnIlXafCyGHzwOiAITt6kGOI7xYxkYc0PUQ7KLNLK
-e/hZsy0YX1drUTm5VLVn
-=bkuQ
+iQIcBAEBAgAGBQJMLQ2cAAoJENwGBM22xffeLzIP/Awb2KoDUzb0+0mMKEukhTwJ
+rkh64dG7Z/5BVQBsKx6QhoV/+HJRgXz0uXNB4LCtbvHWUVP62KZF5k8wDGgcMIFA
+46SqHfxU0wW6yIPzVZuojV7+CC6UrrcXr4q4uTuaJ/9mGthCyqf/JBFJGeSQX0A1
+EQcS5lRVW/Z+PXGLCKgkay63JSnGVYNALXhbAIBBqDmRnAKjjxhowW3di7Wxvv8r
+p/g7KjIdEisEnqneJUu9J86Wvni5fCBk6ZOLSDFSwnTQxE0IWONUqrxuIulFxqt9
+tiUco2lN5rUqjDC4nxrx34xZ1V9jDk1/LKziGWTApNkFwWDuB9o4rduOLEAMzhrD
+fbqw8zEJolUvYceEk2t1zJbAAduUuTntgsslbL9zc5L3y3hCZYZBzgZKz664J39z
+MT0XXFruJSRadz8Kmwt109Wu5ELUdLO7yUwoOEDIxkZ5/yl3i5U0iLZNSsCfAjnV
+0pVVWgydbOB1OjDPxzZR7sI8ZR4Yccy/lxDOrE15+smYo0xZkumoq6h0bS+EtDQZ
+GPvhL6n2hXpdl5/Yzh53C20V2HGdB3/8F8y7R5n3mJU11M80CjcgDoCQ5q7ir37Z
+d0X6AxgUGBRyHPQHSBFtzfWuBMH7l5JIC2MPIH7PT30btS2NAkdmiQH0PV4PO5nK
+wcA+YdFLHbYbLla6+HjD
+=vYyt
-----END PGP SIGNATURE-----
diff --git a/sci-electronics/magic/magic-7.5.202.ebuild b/sci-electronics/magic/magic-7.5.202.ebuild
new file mode 100644
index 000000000..ea405cef8
--- /dev/null
+++ b/sci-electronics/magic/magic-7.5.202.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit multilib
+
+DESCRIPTION="The VLSI design CAD tool."
+HOMEPAGE="http://www.opencircuitdesign.com/magic/index.html"
+SRC_URI="http://www.opencircuitdesign.com/magic/archive/${P}.tgz \
+ ftp://ftp.mosis.edu/pub/sondeen/magic/new/beta/2002a.tar.gz"
+
+LICENSE="as-is GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="sys-libs/ncurses
+ sys-libs/readline
+ dev-lang/tcl
+ dev-lang/tk
+ dev-tcltk/blt"
+DEPEND="${RDEPEND}
+ app-shells/tcsh"
+
+src_prepare() {
+ sed -i -e "s: -pg : :" tcltk/Makefile || die "tcltk patch failed"
+}
+
+src_configure() {
+ # Short-circuit top-level configure script to retain CFLAGS
+ cd scripts
+ CPP="cpp" econf
+}
+
+src_compile() {
+ emake -j1 || die "Compilation failed"
+}
+
+src_install() {
+ emake -j1 DESTDIR="${D}" install || die
+
+ dodoc README README.Tcl TODO || die
+
+ # Move docs from LIBDIR to DATADIR and add symlink.
+ mv "${D}/usr/$(get_libdir)/magic/doc"/* "${D}/usr/share/doc/${PF}/" || die
+ rmdir "${D}/usr/$(get_libdir)/magic/doc" || die
+ dosym "/usr/share/doc/${PF}" "/usr/$(get_libdir)/magic/doc" || die
+
+ # Install latest MOSIS tech files
+ cp -pPR "${WORKDIR}"/2002a "${D}"/usr/$(get_libdir)/magic/sys/current || die
+}